package com.muyu.ruleEngine.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 引擎规则配置对象 engine_config
 *
 * @author DeKangLiu
 * @date 2024-05-02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "EngineConfigQueryReq", description = "引擎规则配置")
public class EngineConfigQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 版本编码 */
    @ApiModelProperty(name = "版本编码", value = "版本编码")
    private String versionCode;

    /** 规则内容 */
    @ApiModelProperty(name = "规则内容", value = "规则内容")
    private String ruleContent;

    /** 引擎维护编号 */
    @ApiModelProperty(name = "引擎维护编号", value = "引擎维护编号")
    private Long engineMaintenanceId;

}
