package com.muyu.ruleEngine.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.ruleEngine.domain.EngineConfig;
import com.muyu.ruleEngine.domain.model.TestData;
import com.muyu.ruleEngine.domain.resp.EngineConfigScopeResp;
import java.util.List;

/**
 * 引擎配置Service接口
 *
 * @author DeKangLiu
 * @date 2024-05-02
 */
public interface EngineConfigService extends IService<EngineConfig> {
    /**
     * 查询引擎配置作用域列表
     *
     * @return 引擎规则作用域集合
     */
    public List<EngineConfigScopeResp> getScopeList();

    /**
     * 查询引擎规则配置列表
     *
     * @param engineConfig 引擎规则配置
     * @return 引擎规则配置集合
     */
    public List<EngineConfig> list(EngineConfig engineConfig);

    /**
     * 通过引擎作用域编号获取引擎配置作用域信息
     * @param id 引擎作用域编号
     * @return 引擎配置作用域信息
     */
    EngineConfigScopeResp getScopeInfoById(Integer id);

    /**
     * 规则测试
     * @param testData 规则配置版本编号
     */
    Object ruleTest(TestData testData);
}
