package com.muyu.ruleEngine.service;

import java.util.List;
import com.muyu.ruleEngine.domain.EngineMaintenance;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 引擎维护Service接口
 *
 * @author DeKangLiu
 * @date 2024-05-02
 */
public interface EngineMaintenanceService extends IService<EngineMaintenance> {
    /**
     * 查询引擎维护列表
     *
     * @param engineMaintenance 引擎维护
     * @return 引擎维护集合
     */
    public List<EngineMaintenance> list(EngineMaintenance engineMaintenance);

    /**
     * 新增引擎维护
     * @param engineMaintenance 引擎维护对象
     * @return 是否
     */
    boolean saveEngineMaintenance(EngineMaintenance engineMaintenance);

    /**
     * 批量删除引擎维护
     * @param ids 引擎维护编号集合
     * @return 是否
     */
    boolean removeBatchEngineMaintenanceByIds(List<Long> ids);
}
